# class Object::Syck::PrivateType

Define YAML::PrivateType class

### Attributes

type_id[RW]
value[RW]

### Public Class Methods

new(p1, p2) click to toggle source

YAML::PrivateType.initialize

    VALUE
    syck_privatetype_initialize(VALUE self, VALUE type_id, VALUE val)
    {
        rb_iv_set( self, "@type_id", type_id );
        rb_iv_set( self, "@value", val );
        return self;
    }